#!/bin/sh

set -e -u -x

cp -r tests "$AUTOPKGTEST_TMP"
# Copy setup.py because is used in tests
cp setup.py "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

for py in $(py3versions -s); do
    $py -m pytest -k 'not test_reads_open_file_objects and not test_reads_open_file_objects_using_to_string and not test_reads_open_file_objects_with_a_specified_filename and not test_dump_response and not test_dump_all and not test_prepared_request_override_base and not test_prepared_request_with_base and not test_request_override_base and not test_request_with_base' -v 2>&1
done
